-- hds header_start
-- hds header_end
--Testovanie cislicovych systemov 2002/2003
--projekt: samotestovatelny 16-bitovy prevodnik z priameho 
--         do doplnkoveho kodu
--
--autori: Martin Proksa
--        Vladimir Ladecky
--
--subor: comparator.vhd
--         -komponent sluziaci na porovnanie dvoch vektorov
--          ak su rovnake, tak na vystup hodi log. 1

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;

entity comparator is
	port( 
		vector1 : in     std_logic_vector (63 downto 0);
--		vector2 : in     std_logic_vector (63 downto 0);
		equal   : out    std_logic
   );
constant vector2 : std_logic_vector(63 downto 0) := "0000101111001100100101111110001010010011111001111100001000011001";

end comparator;

-- hds interface_end


architecture comparator_arch of comparator is

begin

	equal <= '1' when vector1 = vector2 else
			 '0';

end comparator_arch;

